<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Anza Lite
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
    <?php
	/*
	* include the template file for favicons
	*/
    if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) {

        get_template_part( 'template-parts/header/favicon', 'favicons' );
    }
    if(is_front_page() || is_home() ) 
        $header_arg = 'id="home" class="header-area"';    
	else
        $header_arg = 'id="innerpage"';
?>
   
    <?php 
        global $redux_demo;
         $header_arg_style = '';
		 $header_arg_class = '';
         if(!isset($redux_demo['anza-background-image']['url']) && !isset($redux_demo['slider'])){
            $header_arg_style = 'style="height:auto !important; margin-bottom:20px;"';
			$header_arg_class = ' header-style-3';
		 }	


    ?>
    <?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
    <?php
        if ($redux_demo['anza-preload'] == 1) {
            get_template_part( 'template-parts/content', 'preloader' );
        }
    ?>
    <!-- START HOMEPAGE DESIGN AREA -->
    <header <?php echo $header_arg . ' '. $header_arg_style; ?> >
        <div class="header-top-area <?php echo $redux_demo['anza-header-style'] . $header_arg_class ;?>">
            <div class="container">
                <div class="row">
                    <div class="col-md-3">
                        <!-- START LOGO DESIGN AREA -->
                        <?php get_template_part( 'template-parts/header/logo', 'logo' ); ?>                        
                        <!-- END LOGO DESIGN AREA -->
                    </div>
                    <div class="col-md-9">
                        <!-- START MENU DESIGN AREA -->
                        <?php get_template_part( 'template-parts/header/menu', 'menu' ); ?>
                        <!-- END MENU DESIGN AREA -->
                    </div>
                </div>
            </div>
        </div>
        <?php
            if(is_front_page() || is_home() ) { 
                get_template_part( 'template-parts/header/headerhome', 'headerhome' );
           } else { 
                get_template_part( 'template-parts/header/headerinner', 'headerinner' );
            }
                ?>
        
    </header>
    <!-- / END HOMEPAGE DESIGN AREA -->   